<#assign title="求助详情"/>
<#include "/home/frag.head.ftl" />

<div class="weui-tab">

    <div class="weui-btn-area">

        <h4 class="weui-media-box__title">求助标题</h4>
        <p class="weui-media-box__desc">${ task.taskTitle }</p>
        <br>
        <h4 class="weui-media-box__title">求助对象</h4>
        <p class="weui-media-box__desc">${ task.taskTarget }</p>
        <br>
        <h4 class="weui-media-box__title">求助内容</h4>
        <p class="weui-media-box__desc">${ task.remark }</p>
        <br>
        <#if task.taskStatus == 1>
            <div class="weui-btn-area">
                <a class="weui-btn weui-btn_primary" href="javascript:doTask();">响应</a>
            </div>
        </#if>
        <#if task.taskStatus == 2>
            <div class="weui-btn_primary" style="display: flex; justify-content: center; height: 5vh; line-height: 5vh">
                <h4 class="weui-media-box__title">处理中</h4>
            </div>
            <div id="qz_doing_detail" style="margin-top: 3vh;"></div>
        </#if>
        <#if task.taskStatus == 3>
            <div class="weui-btn_primary" style="display: flex; justify-content: center; height: 5vh; line-height: 5vh">
                <h4 class="weui-media-box__title">已处理完成</h4>
            </div>
            <div id="qz_done_detail"></div>
        </#if>
    </div>

    <div id="qz_showPop" class="weui-popup__container popup-bottom">
        <div class="weui-popup__overlay"></div>
        <div class="weui-popup__modal">
            <div class="weui-btn-area">
                <div style="display:flex; flex-direction: row; justify-content: space-between;">
                    <div style="width: 80%;"></div>
                    <a class="weui-btn weui-btn_primary" style="margin-bottom: 3vh;" href="javascript:close();">关闭</a>
            </div>
                <textarea id="qz_content" class="weui-textarea" placeholder="请输入文本" rows="5"></textarea>
                <a class="weui-btn weui-btn_primary" style="margin-top: 3vh;margin-bottom: 5vh;" href="javascript:send();">提交</a>
            </div>
        </div>
    </div>
</div>

<#include "/home/frag.foot.ftl" />

<script>
    var task = ${taskJson};

    (function ($) {

        console.log('详情页' + task);
        if (task.taskStatus == 2 || task.taskStatus == 3) {
            getdealdetail();
        }

    })(jQuery);

    function doTask() {
        $("#qz_showPop").popup();
    }

    function close() {
        $.closePopup();
    }

    function send() {

        let userId = $('#userId').val() ? $('#userId').val() : "10000";

        let qzcontent = $('#qz_content').val();
        if (qzcontent.length <= 0){
            alert("请输入内容");
            return;
        }

        $.ajax({
            url: '/yeweihui/qiuzhu/reply/add.json',
            type: 'post',
            data: {
                userId: userId,
                taskId: task.taskId,
                replyContent: qzcontent,
                userCreate: userId,
                userUpdate: userId,
            },
            success: function (data) {
                $.closePopup();
            },
            error: function () {
                $.alert("网络异常");
            }
        });
    }

    function getdealdetail() {
        $.ajax({
            url: '/yeweihui/qiuzhu/reply/querybytaskid.json',
            type: 'post',
            data: {
                taskId: task.taskId,
            },
            success: function (data) {
                console.log("---返回数据---",data);

                if (task.taskStatus == 2) {
                    for (let i = 0; i < data.data.length; i++) {
                        let reply = data.data[i];
                        $("#qz_doing_detail").append('<h4 class="weui-media-box__title">回复' + i + '</h4>\n' +
                            '        <p class="weui-media-box__desc">' + reply.replyContent + '</p><br>');
                    }
                }
                else if (task.taskStatus == 3) {
                    for (let i = 0; i < data.data.length; i++) {
                        let reply = data.data[i];
                        $("#qz_done_detail").append('<h4 class="weui-media-box__title">回复' + i + '</h4>\n' +
                            '        <p class="weui-media-box__desc">' + reply.replyContent + '</p><br>');
                    }
                }
            },
            error: function () {
                $.alert("网络异常");
            }
        });
    }
</script>